import codeMirror from 'codemirror';
import { parser } from './util';
codeMirror.registerHelper('lint', 'json', function (text) {
  var found = [];
  if (!text.trim()) {
    // 没有内容的时候不要有错误提示
    return found;
  }

  // eslint-disable-next-line @typescript-eslint/ban-ts-comment
  // @ts-ignore
  parser.parseError = function (message, hash) {
    var loc = hash.loc;
    found.push({
      from: codeMirror.Pos(loc.firstLine - 1, loc.firstColumn),
      to: codeMirror.Pos(loc.lastLine - 1, loc.lastColumn),
      message: message
    });
  };
  try {
    parser.parse(text);
  } catch (err) {
    // ignore
  }
  return found;
});