import { IHash, IHashLoc, IParseError } from '../types';
interface ILexerOptions {
    flex?: boolean;
}
interface IYy {
    lexer?: Lexer;
    parseError?: IParseError;
}
export default class Lexer {
    options: ILexerOptions;
    _input: string;
    done: boolean;
    match: string;
    matched: string;
    conditionStack: string[];
    yy?: IYy;
    yylineno: number;
    yyleng: number;
    yytext: string;
    yylloc: IHashLoc;
    parseError(message: string, hash: IHash): void;
    setInput(input: string): void;
    input(): string;
    less(n: number): void;
    pastInput(): string;
    upcomingInput(): string;
    showPosition(): string;
    next(): number | 'INVALID' | undefined;
    lex(): number | 'INVALID' | undefined;
    _currentRules(): number[];
}
export {};
